### Hierarchy

- FileItem

## Index

### Properties

- file
- invalid
- invalidText
- state
- uploaded

## Properties

### file

file: File

- Defined in src/file-uploader/file-item.interface.ts:2

### Optional invalid

invalid: boolean

- Defined in src/file-uploader/file-item.interface.ts:5

### Optional invalidText

invalidText: string

- Defined in src/file-uploader/file-item.interface.ts:6

### state

state: "edit" | "upload" | "complete"

- Defined in src/file-uploader/file-item.interface.ts:3

### uploaded

uploaded: boolean

- Defined in src/file-uploader/file-item.interface.ts:4

Generated using TypeDoc